# Uses of Interface
org.springframework.jdbc.datasource.embedded.EmbeddedDatabase

Packages that use EmbeddedDatabase
Package
Description
org.springframework.jdbc.datasource.embedded
Provides extensible support for creating embedded database instances.

## Uses of EmbeddedDatabase in org.springframework.jdbc.datasource.embedded

Methods in org.springframework.jdbc.datasource.embedded that return EmbeddedDatabase
Modifier and Type
Method
Description
`EmbeddedDatabase`
EmbeddedDatabaseBuilder.`build()`
Build the embedded database.
`EmbeddedDatabase`
EmbeddedDatabaseFactory.`getDatabase()`
Factory method that returns the embedded database instance, which is also a `DataSource`.